- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# cpioSourceArchive_s Struct Reference

`#include <buildio.h>`

## Data Fields
unsigned int | cpioArchiveSize
FD_t | cpioFdIn
TFI_t | cpioList
rpmlead * | lead

## Detailed Description

Definition at line 16 of file buildio.h.

## Field Documentation

unsigned int cpioSourceArchive_s::cpioArchiveSize

Definition at line 17 of file buildio.h.

Referenced by cpio_copy(), cpio_doio(), rewriteRPM(), and writeRPM().

FD_t cpioSourceArchive_s::cpioFdIn

Definition at line 18 of file buildio.h.

Referenced by cpio_copy(), readRPM(), rewriteRPM(), and writeRPM().

TFI_t cpioSourceArchive_s::cpioList

Definition at line 19 of file buildio.h.

Referenced by cpio_doio(), rewriteRPM(), and writeRPM().

struct rpmlead* cpioSourceArchive_s::lead`[read]`

Definition at line 20 of file buildio.h.

Referenced by rewriteRPM(), and writeRPM().

The documentation for this struct was generated from the following file:

- build/buildio.h